## nsncd 1.4.1

=== debian/changelog ===
nsncd (1.4.1-2) unstable; urgency=medium

  * debian: Delete README.source.
  * debian/control: Point VCS-Git to Salsa and remove XC-Multidist.

 -- Philipp Kern <pkern@debian.org>  Sat, 23 Dec 2023 11:08:38 +0100

nsncd (1.4.1-1) unstable; urgency=medium

  * Upload to Debian proper. (Closes: #1058704)
  * Make the package a proper Debian source package of version 3.0 (quilt).
  * Make the package build with Debian-native build-dependencies and tooling
  * Move nsncd from /usr/lib to /usr/libexec; it is not intended to
    be run manually by users.
  * Add a /etc/default/nsncd configuration file that is being read by
    the systemd service.

 -- Philipp Kern <pkern@debian.org>  Fri, 22 Dec 2023 11:39:41 +0100

nsncd (1.4.1) unstable; urgency=low

  * Update to stable rust (1.69.0) and build on Debian 10 with its
    glibc version requirement (#61).

 -- Leif Walsh <leif@twosigma.com>  Thu, 04 May 2023 21:44:00 -0400

nsncd (1.4) unstable; urgency=low

  * Added environment-based runtime configuration (#51).
  * Updating how debs are released.

 -- Leif Walsh <leif@twosigma.com>  Sun, 16 Apr 2023 20:14:00 -0400

nsncd (1.3) unstable; urgency=medium

  * Notify systemd of startup readiness via sd_notify and Type=notify.

 -- Geoffrey Thomas <geofft@twosigma.com>  Tue, 18 Oct 2021 11:46:08 -0400

nsncd (1.2.1) unstable; urgency=medium

  * Bump nix dependency to 0.21.2 to pick up fix for nix-rust/nix#1541
    aka RUSTSEC-2021-0119, memory corruption when using initgroups on a
    user in more than 16 groups.

 -- Geoffrey Thomas <geofft@twosigma.com>  Thu, 07 Oct 2021 17:30:16 -0400

nsncd (1.2) unstable; urgency=medium

  * Add initgroups support.
  * Use a fixed pool of threads to handle incoming requests.
  * Improve logging and do not log dropped client connections (which
    happen in normal operation).
  * Use nix v0.21, which increases the maximum passwd/group buffer size
    from 16kB to 1MB.

 -- Geoffrey Thomas <geofft@twosigma.com>  Wed, 11 Aug 2021 18:20:31 -0400

nsncd (1.1) unstable; urgency=medium

  * Handle requests with internal NULs (fixes twosigma/nsncd#7).
  * Remove systemd socket activation (fixes twosigma/nsncd#9, internal
    issue SPDE-8114).

 -- Geoffrey Thomas <geofft@twosigma.com>  Mon, 08 Mar 2021 14:06:57 -0500

nsncd (1.0) unstable; urgency=medium

  * Initial release.

 -- Geoffrey Thomas <geofft@twosigma.com>  Tue, 19 Jan 2021 20:41:41 -0500
