=== debian/control ===
Source: nsncd
Section: misc
Priority: optional
Maintainer: Philipp Kern <pkern@debian.org>
Uploaders: Geoffrey Thomas <geofft@ldpreload.com>
Build-Depends: debhelper (>= 12), dh-exec, cargo, dh-cargo, rustc, pkg-config, librust-anyhow-dev, librust-atoi-dev, librust-slog-dev, librust-slog-async-dev, librust-slog-term-dev, librust-crossbeam-channel-dev, librust-nix-dev, librust-num-derive-dev, librust-num-traits-dev, librust-sd-notify-dev, librust-static-assertions-dev, librust-dns-lookup-dev
Standards-Version: 3.9.8
Homepage: https://github.com/twosigma/nsncd
VCS-Git: https://salsa.debian.org/Debian/nsncd
Rules-Requires-Root: no

Package: nsncd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Name service non-caching daemon
 nsncd implements the NSCD (name-service caching daemon) protocol to
 provide out-of-process NSS lookups but does not implement caching.
 .
 It is designed to provide high-performance NSS lookups for programs
 that are not using the system libc, while providing semantics as if
 NSCD were not being used.
