## nsncd 1.5.0

=== debian/changelog ===
nsncd (1.5.0-1) unstable; urgency=medium

  * Update to new upstream version 1.5.0.
    - Supports netgroup and service lookups.
  * Ship README.md as documentation.

 -- Philipp Kern <pkern@debian.org>  Sat, 19 Oct 2024 12:34:23 +0200

nsncd (1.4.1-3) unstable; urgency=medium

  * debian/install: Move systemd service to /usr. (Closes: #1059368)

 -- Philipp Kern <pkern@debian.org>  Wed, 22 May 2024 23:08:04 +0200

nsncd (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Relax cargo dependency on nix crate and explicitly enable "user" feature.
    (Closes: #1064581)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Feb 2024 13:29:45 +0000
