## nsncd 1.5.1

=== debian/changelog ===
nsncd (1.5.1-1) unstable; urgency=medium

  * Update to new upstream version 1.5.1.

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Jan 2025 13:02:00 +0100
