=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Kern <pkern@debian.org>
 Uploaders: Geoffrey Thomas <geofft@ldpreload.com>
-Build-Depends: debhelper (>= 12), dh-exec, cargo, dh-cargo, rustc, pkg-config, librust-anyhow-dev, librust-atoi-dev, librust-slog-dev, librust-slog-async-dev, librust-slog-term-dev, librust-crossbeam-channel-dev, librust-nix-dev, librust-num-derive-dev, librust-num-traits-dev, librust-sd-notify-dev, librust-static-assertions-dev, librust-dns-lookup-dev
+Build-Depends: debhelper (>= 13.11.6), dh-exec, cargo, dh-cargo, rustc, pkg-config, librust-anyhow-dev, librust-atoi-dev, librust-slog-dev, librust-slog-async-dev, librust-slog-term-dev, librust-crossbeam-channel-dev, librust-nix-dev, librust-num-derive-dev, librust-num-traits-dev, librust-sd-notify-dev, librust-static-assertions-dev, librust-dns-lookup-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/twosigma/nsncd
 VCS-Git: https://salsa.debian.org/Debian/nsncd
